--------------------------------------------------------------------------------
-- GLOBALS
--------------------------------------------------------------------------------

Global( "Locales", {
	["rus"] = { -- Russian, Win-1251
		["Description"] = "   .",
		["Score"] = "Velhuru",
		["PlayerScore"] = "My Velhuru",
	},
	["eng"] = { -- English, Latin-1
		["Description"] = "Inspected character's gear rating (aka Velhuru).",
		["Score"] = "Velhuru",
		["PlayerScore"] = "My Velhuru",
	},
	["ger"] = { -- German, Win-1252
		["Description"] = "Inspizierten Charakters Kleidung Bewertung.",
		["Score"] = "Velhuru",
		["PlayerScore"] = "My Velhuru",
	},
	["fra"] = { -- French, Win-1252
		["Description"] = "Inspects personnage vtements evaluation.",
		["Score"] = "Velhuru",
		["PlayerScore"] = "My Velhuru",
	},
	["br"]  = { -- Portuguese, Win-1252
		["Description"] = "Inspeccionado caractere roupas classificao.",
		["Score"] = "Velhuru",
		["PlayerScore"] = "My Velhuru",
	},
	["jap"] = { -- Japanese, Shift-JIS
		["Description"] = "̕]́A̍ڂB",
		["Score"] = "Velhuru",
		["PlayerScore"] = "My Velhuru",
	},
} )

Global( "StatNames", {
	["rus"] = { -- Russian, Win-1251
		[INNATE_STAT_STRENGTH] 	= "",
		[INNATE_STAT_MIGHT] 	= "",
		[INNATE_STAT_DEXTERITY] = "",
		[INNATE_STAT_AGILITY] 	= "",
		[INNATE_STAT_STAMINA] 	= "",
		[INNATE_STAT_PRECISION] = "",
		[INNATE_STAT_HARDINESS] = "",
		[INNATE_STAT_INTELLECT] = "",
		[INNATE_STAT_INTUITION] = "",
		[INNATE_STAT_SPIRIT] 	= "",
		[INNATE_STAT_WILL] 	= "",
		[INNATE_STAT_RESOLVE] 	= "",
		[INNATE_STAT_WISDOM] 	= "",
		[INNATE_STAT_LETHALITY] = "",
	},
	["eng"] = { -- English, Latin-1
		[INNATE_STAT_STRENGTH] 	= "Strength",
		[INNATE_STAT_MIGHT] 	= "Finesse",
		[INNATE_STAT_DEXTERITY] = "Expertise",
		[INNATE_STAT_AGILITY] 	= "Agility",
		[INNATE_STAT_STAMINA] 	= "Stamina",
		[INNATE_STAT_PRECISION] = "Luck",
		[INNATE_STAT_HARDINESS] = "Endurance",
		[INNATE_STAT_INTELLECT] = "Intelligence",
		[INNATE_STAT_INTUITION] = "Perception",
		[INNATE_STAT_SPIRIT] 	= "Wisdom",
		[INNATE_STAT_WILL] 	= "Conviction",
		[INNATE_STAT_RESOLVE] 	= "Willpower",
		[INNATE_STAT_WISDOM] 	= "Faith",
		[INNATE_STAT_LETHALITY] = "Rage",
	},
	["ger"] = { -- German, Win-1252
		[INNATE_STAT_STRENGTH] 	= "Strke",
		[INNATE_STAT_MIGHT] 	= "Gewandtheit",
		[INNATE_STAT_DEXTERITY] = "Geschick",
		[INNATE_STAT_AGILITY] 	= "Beweglichkeit",
		[INNATE_STAT_STAMINA] 	= "Kondition",
		[INNATE_STAT_PRECISION] = "Glck",
		[INNATE_STAT_HARDINESS] = "Ausdauer",
		[INNATE_STAT_INTELLECT] = "Intelligenz",
		[INNATE_STAT_INTUITION] = "Intuition",
		[INNATE_STAT_SPIRIT] 	= "Weisheit",
		[INNATE_STAT_WILL] 	= "berzeugung",
		[INNATE_STAT_RESOLVE] 	= "Willenskraft",
		[INNATE_STAT_WISDOM] 	= "Glaube",
		[INNATE_STAT_LETHALITY] = "Segen",
	},
	["fra"] = { -- French, Win-1252
		[INNATE_STAT_STRENGTH] 	= "Force",
		[INNATE_STAT_MIGHT] 	= "Finesse",
		[INNATE_STAT_DEXTERITY] = "Expertise",
		[INNATE_STAT_AGILITY] 	= "Agilit",
		[INNATE_STAT_STAMINA] 	= "Vitalit",
		[INNATE_STAT_PRECISION] = "Chance",
		[INNATE_STAT_HARDINESS] = "Endurance",
		[INNATE_STAT_INTELLECT] = "Intelligence",
		[INNATE_STAT_INTUITION] = "Perception",
		[INNATE_STAT_SPIRIT] 	= "Sagesse",
		[INNATE_STAT_WILL] 	= "Conviction",
		[INNATE_STAT_RESOLVE] 	= "Volont",
		[INNATE_STAT_WISDOM] 	= "Foi",
		[INNATE_STAT_LETHALITY] = "Rage",
	},
	["br"] = { -- Portuguese, Win-1252
		[INNATE_STAT_STRENGTH] 	= "Fora",
		[INNATE_STAT_MIGHT] 	= "Preciso",
		[INNATE_STAT_DEXTERITY] = "Tcnica",
		[INNATE_STAT_AGILITY] 	= "Agilidade",
		[INNATE_STAT_STAMINA] 	= "Vigor",
		[INNATE_STAT_PRECISION] = "Sorte",
		[INNATE_STAT_HARDINESS] = "Constituio",
		[INNATE_STAT_INTELLECT] = "Inteligncia",
		[INNATE_STAT_INTUITION] = "Percepo",
		[INNATE_STAT_SPIRIT] 	= "Sabedoria",
		[INNATE_STAT_WILL] 	= "Convico",
		[INNATE_STAT_RESOLVE] 	= "Concentrao",
		[INNATE_STAT_WISDOM] 	= "F",
		[INNATE_STAT_LETHALITY] = "Fria",
	},
	["jpn"] = { -- Japanese, Shift-JIS
		[INNATE_STAT_STRENGTH] 	= "",
		[INNATE_STAT_MIGHT] 	= "mx",
		[INNATE_STAT_DEXTERITY] = "m",
		[INNATE_STAT_AGILITY] 	= "q",
		[INNATE_STAT_STAMINA] 	= "X^~i",
		[INNATE_STAT_PRECISION] = "^",
		[INNATE_STAT_HARDINESS] = "v",
		[INNATE_STAT_INTELLECT] = "m",
		[INNATE_STAT_INTUITION] = "mo",
		[INNATE_STAT_SPIRIT] 	= "mb",
		[INNATE_STAT_WILL] 	= "MO",
		[INNATE_STAT_RESOLVE] 	= "S",
		[INNATE_STAT_WISDOM] 	= "M",
		[INNATE_STAT_LETHALITY] = "{",
	},
} )

Global("ClassStatType", {
	["DRUID"] = {
		[INNATE_STAT_STRENGTH] = 0,	
		[INNATE_STAT_MIGHT] = 0, 	
		[INNATE_STAT_DEXTERITY] = 0, 	
		[INNATE_STAT_AGILITY] = 1,	
		[INNATE_STAT_STAMINA] = 1, 	
		[INNATE_STAT_PRECISION] = 2,	
		[INNATE_STAT_HARDINESS] = 1, 	
		[INNATE_STAT_INTELLECT] = 2, 	
		[INNATE_STAT_INTUITION] = 2, 	
		[INNATE_STAT_SPIRIT] = 2, 	
		[INNATE_STAT_WILL] = 1, 	
		[INNATE_STAT_RESOLVE] = 1, 	
		[INNATE_STAT_WISDOM] = 0, 	
		[INNATE_STAT_LETHALITY] = 1 	
	},
	["NECROMANCER"] = { 
		[INNATE_STAT_STRENGTH] = 0, 	
		[INNATE_STAT_MIGHT] = 0, 
		[INNATE_STAT_DEXTERITY] = 0,
		[INNATE_STAT_AGILITY] = 1, 
		[INNATE_STAT_STAMINA] = 1, 
		[INNATE_STAT_PRECISION] = 2,
		[INNATE_STAT_HARDINESS] = 1,
		[INNATE_STAT_INTELLECT] = 2,
		[INNATE_STAT_INTUITION] = 2,
		[INNATE_STAT_SPIRIT] = 2, 
		[INNATE_STAT_WILL] = 1, 
		[INNATE_STAT_RESOLVE] = 1,
		[INNATE_STAT_WISDOM] = 2, 
		[INNATE_STAT_LETHALITY] = 1
	},
	["MAGE"] = { 
		[INNATE_STAT_STRENGTH] = 0, 
		[INNATE_STAT_MIGHT] = 0, 
		[INNATE_STAT_DEXTERITY] = 0, 
		[INNATE_STAT_AGILITY] = 1, 
		[INNATE_STAT_STAMINA] = 1,
		[INNATE_STAT_PRECISION] = 2, 
		[INNATE_STAT_HARDINESS] = 1, 
		[INNATE_STAT_INTELLECT] = 2, 
		[INNATE_STAT_INTUITION] = 2, 
		[INNATE_STAT_SPIRIT] = 2, 
		[INNATE_STAT_WILL] = 1, 
		[INNATE_STAT_RESOLVE] = 1,
		[INNATE_STAT_WISDOM] = 0, 
		[INNATE_STAT_LETHALITY] = 1
	},
	["PALADIN"] = { 
		[INNATE_STAT_STRENGTH] = 2, 
		[INNATE_STAT_MIGHT] = 2, 
		[INNATE_STAT_DEXTERITY] = 2, 
		[INNATE_STAT_AGILITY] = 1, 
		[INNATE_STAT_STAMINA] = 1, 
		[INNATE_STAT_PRECISION] = 2, 
		[INNATE_STAT_HARDINESS] = 1, 
		[INNATE_STAT_INTELLECT] = 0,
		[INNATE_STAT_INTUITION] = 0, 
		[INNATE_STAT_SPIRIT] = 0, 
		[INNATE_STAT_WILL] = 1, 
		[INNATE_STAT_RESOLVE] = 1, 
		[INNATE_STAT_WISDOM] = 0, 
		[INNATE_STAT_LETHALITY] = 1
	},
	["PRIEST"] = { 
		[INNATE_STAT_STRENGTH] = 0, 	
		[INNATE_STAT_MIGHT] = 0, 
		[INNATE_STAT_DEXTERITY] = 0,
		[INNATE_STAT_AGILITY] = 1, 
		[INNATE_STAT_STAMINA] = 1, 
		[INNATE_STAT_PRECISION] = 2,
		[INNATE_STAT_HARDINESS] = 1,
		[INNATE_STAT_INTELLECT] = 2,
		[INNATE_STAT_INTUITION] = 2,
		[INNATE_STAT_SPIRIT] = 2, 
		[INNATE_STAT_WILL] = 1, 
		[INNATE_STAT_RESOLVE] = 1,
		[INNATE_STAT_WISDOM] = 2, 
		[INNATE_STAT_LETHALITY] = 1 
	},
	["PSIONIC"] = { 
		[INNATE_STAT_STRENGTH] = 0, 
		[INNATE_STAT_MIGHT] = 0, 
		[INNATE_STAT_DEXTERITY] = 0, 
		[INNATE_STAT_AGILITY] = 1, 
		[INNATE_STAT_STAMINA] = 1,
		[INNATE_STAT_PRECISION] = 2, 
		[INNATE_STAT_HARDINESS] = 1, 
		[INNATE_STAT_INTELLECT] = 2, 
		[INNATE_STAT_INTUITION] = 2, 
		[INNATE_STAT_SPIRIT] = 2, 
		[INNATE_STAT_WILL] = 1, 
		[INNATE_STAT_RESOLVE] = 1,
		[INNATE_STAT_WISDOM] = 0, 
		[INNATE_STAT_LETHALITY] = 1 
	},
	["STALKER"] = { 
		[INNATE_STAT_STRENGTH] = 2, 
		[INNATE_STAT_MIGHT] = 2, 
		[INNATE_STAT_DEXTERITY] = 2, 
		[INNATE_STAT_AGILITY] = 1, 
		[INNATE_STAT_STAMINA] = 1, 
		[INNATE_STAT_PRECISION] = 2, 
		[INNATE_STAT_HARDINESS] = 1, 
		[INNATE_STAT_INTELLECT] = 0,
		[INNATE_STAT_INTUITION] = 0, 
		[INNATE_STAT_SPIRIT] = 0, 
		[INNATE_STAT_WILL] = 1, 
		[INNATE_STAT_RESOLVE] = 1, 
		[INNATE_STAT_WISDOM] = 0, 
		[INNATE_STAT_LETHALITY] = 1 
	},
	["WARRIOR"] = { 
		[INNATE_STAT_STRENGTH] = 2, 
		[INNATE_STAT_MIGHT] = 2, 
		[INNATE_STAT_DEXTERITY] = 2, 
		[INNATE_STAT_AGILITY] = 1, 
		[INNATE_STAT_STAMINA] = 1, 
		[INNATE_STAT_PRECISION] = 2, 
		[INNATE_STAT_HARDINESS] = 1, 
		[INNATE_STAT_INTELLECT] = 0,
		[INNATE_STAT_INTUITION] = 0, 
		[INNATE_STAT_SPIRIT] = 0, 
		[INNATE_STAT_WILL] = 1, 
		[INNATE_STAT_RESOLVE] = 1, 
		[INNATE_STAT_WISDOM] = 0, 
		[INNATE_STAT_LETHALITY] = 1
	},
	["BARD"] = { 
		[INNATE_STAT_STRENGTH] = 2, 
		[INNATE_STAT_MIGHT] = 2, 
		[INNATE_STAT_DEXTERITY] = 2, 
		[INNATE_STAT_AGILITY] = 1, 
		[INNATE_STAT_STAMINA] = 1, 
		[INNATE_STAT_PRECISION] = 2, 
		[INNATE_STAT_HARDINESS] = 1, 
		[INNATE_STAT_INTELLECT] = 0,
		[INNATE_STAT_INTUITION] = 0, 
		[INNATE_STAT_SPIRIT] = 0, 
		[INNATE_STAT_WILL] = 1, 
		[INNATE_STAT_RESOLVE] = 1, 
		[INNATE_STAT_WISDOM] = 0, 
		[INNATE_STAT_LETHALITY] = 1
	}
})
